<?php
/**
 * Haircut Lite Theme Customizer
 *
 * @package Haircut Lite
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function haircut_lite_customize_register( $wp_customize ) {
	
function haircut_lite_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
	$wp_customize->get_setting( 'blogname' )->haircut_lite         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->haircut_lite  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
	    'selector' => '.site-title a',
	    'render_callback' => 'haircut-lite_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
	    'selector' => '.site-title p',
	    'render_callback' => 'haircut-lite_customize_partial_blogdescription',
	) );

	$wp_customize->add_setting('haircut_headerbg-color', array(
		'default' => '#000000',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'haircut_headerbg-color',array(
			'label' => __('Header Background color','haircut-lite'),
			'description'	=> __('Select background color for header.','haircut-lite'),
			'section' => 'colors',
			'settings' => 'haircut_headerbg-color'
		))
	);
		
	$wp_customize->add_setting('haircut_color_scheme', array(
		'default' => '#bc9355',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'haircut_color_scheme',array(
			'label' => __('Color Scheme','haircut-lite'),
			'description'	=> __('Select theme main color from here.','haircut-lite'),
			'section' => 'colors',
			'settings' => 'haircut_color_scheme'
		))
	);
	
	$wp_customize->add_setting('haircut_footer-color', array(
		'default' => '#151515',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'haircut_footer-color',array(
			'label' => __('Footer Background color','haircut-lite'),
			'description'	=> __('Select background color for footer.','haircut-lite'),
			'section' => 'colors',
			'settings' => 'haircut_footer-color'
		))
	);
	
	/******************************************************
	**	Theme Slider
	******************************************************/
	$wp_customize->add_section('haircut_slider',array(
		'title' => __('Setting Up Slider', 'haircut-lite'),
		'priority' => null,
		'description'	=> __('Recommended image size (1600x720). Slider will work only when you select the static front page.','haircut-lite'),	
	));
	$wp_customize->add_setting('haircut_slider_sbttl',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_slider_sbttl',array(
		'label'	=> __('Add slide sub heading text.','haircut-lite'),
		'section'	=> 'haircut_slider',
		'setting'	=> 'haircut_slider_sbttl',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('haircut-slide1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('haircut-slide1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide one:','haircut-lite'),
		'section'	=> 'haircut_slider'
	));
	$wp_customize->add_setting('haircut-slide2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('haircut-slide2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide two:','haircut-lite'),
		'section'	=> 'haircut_slider'
	));
	$wp_customize->add_setting('haircut-slide3',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('haircut-slide3',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide three:','haircut-lite'),
		'section'	=> 'haircut_slider'
	));
	$wp_customize->add_setting('haircut_slide_more',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_slide_more',array(
		'label'	=> __('Add slider button text.','haircut-lite'),
		'section'	=> 'haircut_slider',
		'setting'	=> 'haircut_slide_more',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('hide_slider',array(
		'default' => true,
		'sanitize_callback' => 'haircut_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	)); 
	$wp_customize->add_control( 'hide_slider', array(
	   'settings' => 'hide_slider',
	   'section'   => 'haircut_slider',
	   'label'     => __('Check this to hide slider.','haircut-lite'),
	   'type'      => 'checkbox'
    ));
	
	/******************************************************
	**	Company Info Section
	******************************************************/
	$wp_customize->add_section('haircut_company_info',array(
		'title' => __('Company Information', 'haircut-lite'),
		'priority' => null,
		'description'	=> __('Add company information here which appears at bottom of the slider on home page.','haircut-lite'),	
	));
	$wp_customize->add_setting('haircut_company_info_head1',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_company_info_head1',array(
		'label'	=> __('Add heading here for first column','haircut-lite'),
		'section'	=> 'haircut_company_info',
		'setting'	=> 'haircut_company_info_head1',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('haircut_company_info_text1',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_company_info_text1',array(
		'label'	=> __('Add text here for first column.','haircut-lite'),
		'section'	=> 'haircut_company_info',
		'setting'	=> 'haircut_company_info_text1',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('haircut_company_info_head2',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_company_info_head2',array(
		'label'	=> __('Add heading here for second column.','haircut-lite'),
		'section'	=> 'haircut_company_info',
		'setting'	=> 'haircut_company_info_head2',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('haircut_company_info_text2',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_company_info_text2',array(
		'label'	=> __('Add text here for second column.','haircut-lite'),
		'section'	=> 'haircut_company_info',
		'setting'	=> 'haircut_company_info_text2',
		'type'	=> 'text'
	));$wp_customize->add_setting('haircut_company_info_head3',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_company_info_head3',array(
		'label'	=> __('Add heading here for third column.','haircut-lite'),
		'section'	=> 'haircut_company_info',
		'setting'	=> 'haircut_company_info_head3',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('haircut_company_info_text3',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('haircut_company_info_text3',array(
		'label'	=> __('Add text here for third column.','haircut-lite'),
		'section'	=> 'haircut_company_info',
		'setting'	=> 'haircut_company_info_text3',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('hide_company_info',array(
		'default' => true,
		'sanitize_callback' => 'haircut_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	)); 
	$wp_customize->add_control( 'hide_company_info', array(
	   'settings' => 'hide_company_info',
	   'section'   => 'haircut_company_info',
	   'label'     => __('Check this to hide company information.','haircut-lite'),
	   'type'      => 'checkbox'
    ));
	
	/******************************************************
	**	Theme First Section
	******************************************************/
	$wp_customize->add_section('haircut_feat_sec',array(
		'title' => __('Setting Up Featured Section', 'haircut-lite'),
		'priority' => null,
		'description'	=> __('Select pages to display featured section on homepage. This section will be displayed only when you select the static front page.','haircut-lite'),	
	));
	$wp_customize->add_setting('feat_secttl',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('feat_secttl',array(
		'label'	=> __('Add section title here.','haircut-lite'),
		'section'	=> 'haircut_feat_sec',
		'setting'	=> 'feat_secttl',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('feat1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('feat1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for first box','haircut-lite'),
		'section'	=> 'haircut_feat_sec'
	));
	$wp_customize->add_setting('feat2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('feat2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for second box','haircut-lite'),
		'section'	=> 'haircut_feat_sec'
	));
	$wp_customize->add_setting('feat3',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('feat3',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for third box','haircut-lite'),
		'section'	=> 'haircut_feat_sec'
	));
	$wp_customize->add_setting('feat_more',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('feat_more',array(
		'label'	=> __('Add read more button text.','haircut-lite'),
		'section'	=> 'haircut_feat_sec',
		'setting'	=> 'feat_more',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('hide_featured',array(
		'default' => true,
		'sanitize_callback' => 'haircut_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	)); 
	$wp_customize->add_control( 'hide_featured', array(
	   'settings' => 'hide_featured',
	   'section'   => 'haircut_feat_sec',
	   'label'     => __('Check this to hide featured section.','haircut-lite'),
	   'type'      => 'checkbox'
    ));
	
	/******************************************************
	**	Theme Second Section
	******************************************************/
	$wp_customize->add_section('haircut_service_sec',array(
		'title' => __('Setting Up Services Section', 'haircut-lite'),
		'priority' => null,
		'description'	=> __('Select page to display services section on homepage. This section will be displayed only when you select the static front page.','haircut-lite'),	
	));
	$wp_customize->add_setting('service_secttl',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('service_secttl',array(
		'label'	=> __('Add section title here.','haircut-lite'),
		'section'	=> 'haircut_service_sec',
		'setting'	=> 'service_secttl',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('ser1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('ser1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for first box','haircut-lite'),
		'section'	=> 'haircut_service_sec'
	));
	$wp_customize->add_setting('ser2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('ser2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for second box','haircut-lite'),
		'section'	=> 'haircut_service_sec'
	));
	$wp_customize->add_setting('ser3',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	$wp_customize->add_control('ser3',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for third box','haircut-lite'),
		'section'	=> 'haircut_service_sec'
	));
	$wp_customize->add_setting('service_more',array(
		'default'	=> __('','haircut-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('service_more',array(
		'label'	=> __('Add read more button text.','haircut-lite'),
		'section'	=> 'haircut_service_sec',
		'setting'	=> 'service_more',
		'type'	=> 'text'
	));
	$wp_customize->add_setting('hide_service',array(
		'default' => true,
		'sanitize_callback' => 'haircut_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	)); 
	$wp_customize->add_control( 'hide_service', array(
	   'settings' => 'hide_service',
	   'section'   => 'haircut_service_sec',
	   'label'     => __('Check this to hide services section.','haircut-lite'),
	   'type'      => 'checkbox'
    ));
}
add_action( 'customize_register', 'haircut_lite_customize_register' );	

function haircut_lite_css(){ ?>
	<style>
		#header,
		.sitenav ul li.menu-item-has-children:hover > ul,
		.sitenav ul li.menu-item-has-children:focus > ul,
		.sitenav ul li.menu-item-has-children.focus > ul{
			background-color:<?php echo esc_attr(get_theme_mod('haircut_headerbg-color','#000000')); ?>;
		}
		.nivo-directionNav a,
		h3.widget-title,
		.nav-links .current,
		.nav-links a:hover,
		p.form-submit input[type="submit"],
		a.slide-button:after,
		.feat-icon-dots:before,
		.feat-sep:after{
			background-color:<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?>;
		}
		a,
		.tm_client strong,
		.postmeta a:hover,
		#sidebar ul li a:hover,
		.blog-post h3.entry-title,
		a.blog-more:hover,
		#commentform input#submit,
		input.search-submit,
		.blog-date .date,
		.sitenav ul li.current_page_item a,
		.sitenav ul li a:hover,
		.sitenav ul li.current_page_item ul li a:hover,
		.haircut-slider h4,
		.info-block h6{
			color:<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?>;
		}
		.nivo-controlNav a.active,
		.fea-icon-thumb,
		.feat-sep:before,
		.read-more a:before,
		.read-more a:after,
		.inner-service-box,
		.ser-icon:before{
			border-color:<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?>;
		}
		.feat-sep{
			background-image: -webkit-gradient(linear,left top,right top,from(transparent),color-stop(75%,transparent),color-stop(75%,<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?>),to(<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?>));
			background-image: linear-gradient(to right,transparent 0,transparent 75%,<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?> 75%,<?php echo esc_attr(get_theme_mod('haircut_color_scheme','#bc9355')); ?>);
		}
		.copyright-wrapper{
			background-color:<?php echo esc_attr(get_theme_mod('haircut_footer-color','#151515')); ?>;
		}
	</style>
<?php }
add_action('wp_head','haircut_lite_css');

function haircut_lite_customize_preview_js() {
	wp_enqueue_script( 'haircut-lite-customize-preview', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'haircut_lite_customize_preview_js' );